---
apiVersion: apps/v1
kind: Deployment
metadata:
  name: clickhouse-deployment
  labels:
    app: clickhouse-server
spec:
  replicas: 1
  selector:
    matchLabels:
      app: clickhouse-server
  template:
    metadata:
      name: clickhouse-server
      labels:
        app: clickhouse-server
    spec:
      containers:
      - name: clickhouse-server
        image: clickhouse/clickhouse-server:latest
        ports:
        - containerPort: 8123
          name: httpport
          protocol: TCP
        - containerPort: 9000
          name: nativeport
        volumeMounts:
            - mountPath: "/etc/clickhouse-server/users.xml"
              subPath: users.xml
              name: ch-test-credentials
              readOnly: true
            - mountPath: "/var/lib/clickhouse"
              name: ch-lib-mount
            - mountPath: "/var/log/clickhouse-serveer"
              name: ch-log-mount
      volumes:
        - name: ch-test-credentials
          secret:
            secretName: ch-test-credentials
        - name: ch-lib-mount
          persistentVolumeClaim:
            claimName: ch-pvc-lib
        - name: ch-log-mount
          persistentVolumeClaim:
            claimName: ch-pvc-log
